%define major 2
%define libname %mklibname sasl %{major}
%define up_name cyrus-sasl
%define sasl2_db_filename /var/lib/sasl2/sasl.db

%define MYSQL 1
%define SRP 0
%define PGSQL 0
%define SQLITE 0
%define LDAP 1
%define SRPSTR disabled
%define MYSQLSTR enabled
%define PGSQLSTR disabled
%define SQLITESTR disabled
%define LDAPSTR enabled

%{?_with_srp: %{expand: %%global SRP 1}}
%{?_without_srp: %{expand: %%global SRP 0}}
%{?_with_mysql: %{expand: %%global MYSQL 1}}
%{?_without_mysql: %{expand: %%global MYSQL 0}}
%{?_with_pgsql: %{expand: %%global PGSQL 1}}
%{?_without_pgsql: %{expand: %%global PGSQL 0}}
%{?_with_sqlite: %{expand: %%global SQLITE 1}}
%{?_without_sqlite: %{expand: %%global SQLITE 0}}
%{?_with_ldap: %{expand: %%global LDAP 1}}
%{?_without_ldap: %{expand: %%global LDAP 0}}

%{?_with_srp: %{expand: %%global SRPSTR enabled}}
%{?_without_srp: %{expand: %%global SRPSTR disabled}}
%{?_with_mysql: %{expand: %%global MYSQLSTR enabled}}
%{?_without_mysql: %{expand: %%global MYSQLSTR disabled}}
%{?_with_pgsql: %{expand: %%global PGSQLSTR enabled}}
%{?_without_pgsql: %{expand: %%global PGSQLSTR disabled}}
%{?_with_sqlite: %{expand: %%global SQLITESTR enabled}}
%{?_without_sqlite: %{expand: %%global SQLITESTR disabled}}
%{?_with_ldap: %{expand: %%global LDAPSTR enabled}}
%{?_without_ldap: %{expand: %%global LDAPSTR disabled}}

# bootstrapping overrides the above LDAP defines
%{?bootstrap: %{expand: %%global LDAP 0}}
%{?bootstrap: %{expand: %%global LDAPSTR disabled}}

Summary: The Simple Authentication and Security Layer
Name: %{up_name}
Version: 2.1.23
%define subrel 1
Release: %mkrel 1
Source0: ftp://ftp.andrew.cmu.edu/pub/cyrus-mail/%{up_name}-%{version}.tar.gz
Source1: ftp://ftp.andrew.cmu.edu/pub/cyrus-mail/%{up_name}-%{version}.tar.gz.sig
Source2: saslauthd.init
Source3: saslauthd.sysconfig
Source4: service.conf.example
Source5: saslauthd.8
Source7: sasl-mechlist.c
Source8: sasl-checkpass.c
Patch0: cyrus-sasl-doc.patch
Patch1: cyrus-sasl-2.1.19-no_rpath.patch
Patch2: cyrus-sasl-2.1.15-lib64.patch
Patch3: cyrus-sasl-2.1.20-gssapi-dynamic.patch
Patch4: cyrus-sasl-2.1.19-pic.patch
Patch5: cyrus-sasl-latest_bdb.diff
Patch6: cyrus-sasl-2.1.22-sed_syntax.diff
Patch7: cyrus-sasl-2.1.21-sizes.patch
Patch8: cyrus-sasl-2.1.22-digest-commas.patch
Patch9: cyrus-sasl-2.1.22-automake-1.10.patch
Patch10: cyrus-sasl-2.1.22-rimap.patch
Patch11: cyrus-sasl-2.1.22-warnings.patch
Patch12: 0006_library_mutexes.dpatch
Patch13: 0012_xopen_crypt_prototype.dpatch
Patch14: cyrus-sasl-2.1.23-race.patch
Patch15: cyrus-sasl-2.1.22-bad-elif.patch
License: BSD style
Group: System/Libraries
URL: http://asg.web.cmu.edu/cyrus/download/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires: %{libname} = %{version}
#Obsoletes: cyrus-sasl <= 2.1.0
Requires(pre):   rpm-helper
Requires(post):  rpm-helper
Requires(preun): rpm-helper
BuildRequires:  autoconf
BuildRequires:  db4-devel
BuildRequires:  pam-devel
BuildRequires:  openssl-devel >= 0.9.6a
BuildRequires:  libtool >= 1.4
# 1.4.x is thread safe, which means we can disable sasl mutexes (see ./configure
# further below)
BuildRequires:  krb5-devel >= 1.4.1
%if %{MYSQL}
BuildRequires:	mysql-devel
%endif
%if %{PGSQL}
BuildRequires:	postgresql-devel
%endif
%if %{SQLITE}
BuildRequires:	sqlite-devel
%endif
%if %{LDAP}
BuildRequires: openldap-devel
%endif
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
SASL is the Simple Authentication and Security Layer, 
a method for adding authentication support to connection-based protocols. 
To use SASL, a protocol includes a command for identifying and authenticating 
a user to a server and for optionally negotiating protection of subsequent 
protocol interactions. If its use is negotiated, a security layer is inserted 
between the protocol and the connection. 
To actually use SASL you must install at least one of the %{libname}-plug-XXXX
authentication plugin, such as %{libname}-plug-plain.
The SQL auxprop plugin can be rebuild with different database backends:
	--with srp	SRP support	(%{SRPSTR})
	--with mysql	MySQL support	(%{MYSQLSTR})
	--with pgsql	Postgres SQL support	(%{PGSQLSTR})
	--with sqlite	SQLite support	(%{SQLITESTR})

%package -n %{libname}
Summary: Libraries for SASL a the Simple Authentication and Security Layer
Group: System/Libraries

%description -n %{libname}
SASL is the Simple Authentication and Security Layer, 
a method for adding authentication support to connection-based protocols. 
To use SASL, a protocol includes a command for identifying and authenticating 
a user to a server and for optionally negotiating protection of subsequent 
protocol interactions. If its use is negotiated, a security layer is inserted 
between the protocol and the connection. 

%package -n %{libname}-devel
Summary: Libraries for SASL a the Simple Authentication and Security Layer
Group: Development/C
%if %{_lib} != lib
Provides: libsasl-devel = %{version}
Provides: libsasl2-devel = %{version}
%endif
Provides: %{mklibname -d sasl} = %{version}
Requires: %{libname} = %{version}

%description -n %{libname}-devel
SASL is the Simple Authentication and Security Layer, 
a method for adding authentication support to connection-based protocols. 
To use SASL, a protocol includes a command for identifying and authenticating 
a user to a server and for optionally negotiating protection of subsequent 
protocol interactions. If its use is negotiated, a security layer is inserted 
between the protocol and the connection. 

%package -n %{libname}-plug-anonymous
Summary: SASL ANONYMOUS mechanism plugin
Group: System/Libraries
Requires: %{libname} = %{version}
Provides: sasl-plug-anonymous

%description -n %{libname}-plug-anonymous
This plugin implements the SASL ANONYMOUS mechanism,
used for anonymous authentication.

%package -n %{libname}-plug-crammd5
Summary: SASL CRAM-MD5 mechanism plugin
Group: System/Libraries
Requires: %{libname} = %{version}
Provides: sasl-plug-crammd5

%description -n %{libname}-plug-crammd5
This plugin implements the SASL CRAM-MD5 mechanism.
CRAM-MD5 is the mandatory-to-implement authentication mechanism for a
number of protocols; it uses MD5 with a challenge/response system to
authenticate the user.

%package -n %{libname}-plug-digestmd5
Summary: SASL DIGEST-MD5 mechanism plugin
Group: System/Libraries
Requires: %{libname} = %{version}
Provides: sasl-plug-digestmd5

%description -n %{libname}-plug-digestmd5
This plugin implements the latest draft of the SASL DIGEST-MD5
mechanism.  Although not yet finalized, this is likely to become the
new mandatory-to-implement authentication system in all new protocols.
It's based on the digest md5 authentication system designed for HTTP.

%package -n %{libname}-plug-plain
Summary: SASL PLAIN mechanism plugin
Group: System/Libraries
Requires: %{libname} = %{version}
Provides: sasl-plug-plain

%description -n %{libname}-plug-plain
This plugin implements the SASL PLAIN mechanism.  Although insecure,
PLAIN is useful for transitioning to new security mechanisms, as this
is the only mechanism which gives the server a copy of the user's
password.

#package -n %{libname}-plug-scrammd5
#Summary: SASL SCRAM-MD5 mechanism plugin
#Group: System/Libraries
#Requires: %{libname} = %{version}
#Provides: sasl-plug-scrammd5
#
#description -n %{libname}-plug-scrammd5
#This plugin implements the SASL SCRAM-MD5 mechanism.  Although
#deprecated (this will be replaced by DIGEST-MD5 at some point), it may
#be useful for the time being.

%package -n %{libname}-plug-login
Summary: SASL LOGIN mechanism plugin
Group: System/Libraries
Requires: %{libname} = %{version}
Provides: sasl-plug-login

%description -n %{libname}-plug-login
This plugin implements the SASL LOGIN mechanism.
THIS PLUGIN IS DEPRECATED, is maintained only for compatibility reasons 
and will be dropped soon.
Please use the plain plugin instead.

%package -n %{libname}-plug-gssapi
Summary: SASL GSSAPI mechanism plugin
Group: System/Libraries
Requires: %{libname} = %{version}
Requires: krb5-libs
Provides: sasl-plug-gssapi

%description -n %{libname}-plug-gssapi
This plugin implements the SASL GSSAPI (kerberos 5)mechanism.

%package -n %{libname}-plug-otp
Summary: SASL OTP mechanism plugin
Group: System/Libraries
Requires: %{libname} = %{version}
Provides: sasl-plug-otp

%description -n %{libname}-plug-otp
This plugin implements the SASL OTP mechanism.

%package -n %{libname}-plug-sasldb
Summary: SASL sasldb auxprop plugin
Group: System/Libraries
# Requirement for %%{name} is due to dbconverter-2 being
# potentially called in %%post
Requires(post): %{name} >= %{version}
# That requirement has to be here (in "Requires") also
# (http://archives.mandrivalinux.com/cooker/2005-06/msg00109.php)
Requires: %{libname} = %{version}, %{name} >= %{version}
Provides: sasl-plug-sasldb

%description -n %{libname}-plug-sasldb
This package provides the SASL sasldb auxprop plugin, which stores secrets
in a Berkeley database file.

%if %{SRP}
%package -n %{libname}-plug-srp
Summary: SASL srp mechanism plugin
Group: System/Libraries
Requires: %{libname} = %{version}
Provides: sasl-plug-srp

%description -n %{libname}-plug-srp
This plugin implements the srp  mechanism.
%endif

%package -n %{libname}-plug-ntlm
Summary: SASL ntlm authentication plugin
Group: System/Libraries
Requires: %{libname} = %{version}
Provides: sasl-plug-ntlm

%description -n %{libname}-plug-ntlm
This plugin implements the (unsupported) ntlm authentication.

%if %{MYSQL} || %{PGSQL} || %{SQLITE}
%package -n %{libname}-plug-sql
Summary: SASL sql auxprop plugin
Group: System/Libraries
Requires: %{libname} = %{version}
Provides: sasl-plug-sql

%description -n %{libname}-plug-sql
This plugin implements the SQL auxprop authentication method
It can be rebuild with different database backends:
	--with mysql	MySQL support	(%{MYSQLSTR})
	--with pgsql	Postgres SQL support	(%{PGSQLSTR})
	--with sqlite	SQLite support	(%{SQLITESTR})
%endif

%if %{LDAP}
%package -n %{libname}-plug-ldapdb
Summary: SASL ldapdb auxprop plugin
Group: System/Libraries
Requires: %{libname} = %{version}
Provides: sasl-plug-ldapdb

%description -n %{libname}-plug-ldapdb
This plugin implements the LDAP auxprop authentication method.
%endif

%prep

%setup -q -n %{up_name}-%{version}
install -m 0644 %{SOURCE4} .
%patch0 -p1 -b .sasldoc
%patch1 -p1 -b .rpath
%patch2 -p1 -b .lib64
#%patch3 -p1 -b .gssapi
%patch4 -p1 -b .pic
%patch5 -p0 -b .latest_bdb
%patch6 -p0 -b .sed_syntax
%patch7 -p1 -b .sizes
%patch8 -p2 -b .digest-commas
%patch9 -p1 -b .automake-1.10
%patch10 -p1 -b .rimap
%patch11 -p1 -b .warnings
%patch12 -p1 -b .library_mutexes
%patch13 -p1 -b .xopen_crypt_prototype
%patch14 -p1 -b .race
%patch15 -p1 -b .bad_elif

cp %{SOURCE7} sasl-mechlist.c
cp %{SOURCE8} sasl-checkpass.c

# lib64 fix
perl -pi -e "s|/lib\b|/%{_lib}|g" configure.in
rm -f configure

rm -f config/ltconfig config/libtool.m4
libtoolize -f -c
aclocal -I config -I cmulocal
automake -a -c -f
autoheader
autoconf -f
pushd saslauthd
rm -f config/ltconfig
libtoolize -f -c
aclocal -I ../config -I ../cmulocal
automake -a -c -f
autoheader
autoconf -f
popd

%build

%serverbuild
# i have to trim spaces into CFLAGS or configure will whine
export CFLAGS=`echo ${CFLAGS} | sed -e 's/  */ /'`

export LDFLAGS="-L%{_libdir}"

%{?__cputoolize: %{__cputoolize} -c saslauthd}
%configure 	--enable-static --enable-shared \
		--with-plugindir=%{_libdir}/sasl2 \
		--with-configdir=%{_sysconfdir}/sasl2:%{_libdir}/sasl2 \
		--disable-krb4 \
		--enable-login \
%if %{SRP}
		--enable-srp --enable-srp-setpass \
%else
		--without-srp --without-srp-srp-setpass \
%endif
		--enable-ntlm \
		--enable-db4 \
		--enable-gssapi \
		--disable-gss_mutexes \
%if %{MYSQL}
		--enable-sql --with-mysql=%{_prefix} \
%else
		--without-mysql \
%endif
%if %{PGSQL}
		--enable-sql --with-pgsql=%{_prefix} \
%else
		--without-pgsql \
%endif
%if %{SQLITE}
		--enable-sql --with-sqlite=%{_prefix} \
%else
		--without-sqlite \
%endif
%if %{LDAP}
		--with-ldap=%{_prefix} \
		--enable-ldapdb \
%endif
		--with-dbpath=%{sasl2_db_filename} \
		--with-saslauthd=/var/lib/sasl2 \
		--with-authdaemond=/var/run/authdaemon.courier-imap/socket

# ugly hack: there is an ordering problem introduced in 2.1.21 
# when --enable-static is given to ./configure which calling 
# make twice "solves"
# no parallel make on cluster
make || :
make
make -C saslauthd testsaslauthd
make -C sample

install saslauthd/LDAP_SASLAUTHD README.ldap


# Build a small program to list the available mechanisms, because I need it.
pushd lib
    ../libtool --tag=CC --mode=link %{__cc} -o sasl2-shared-mechlist \
	-I../include $CFLAGS ../sasl-mechlist.c $LDFLAGS ./libsasl2.la
    ../libtool --tag=CC --mode=link %{__cc} -o sasl2-shared-checkpass \
	-I../include $CFLAGS -DSASL2 ../sasl-checkpass.c $LDFLAGS ./libsasl2.la
popd

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/var/lib/sasl2
mkdir -p %{buildroot}/%{_initrddir}
mkdir -p %{buildroot}/%{_sysconfdir}/sysconfig
mkdir -p %{buildroot}/%{_sysconfdir}/sasl2

%makeinstall_std

install -m 0644 %{SOURCE2} %{buildroot}%{_initrddir}/saslauthd
install -m 0644 %{SOURCE3} %{buildroot}%{_sysconfdir}/sysconfig/saslauthd
# install fixed saslauthd.8 manpage
install -m 0644 %{SOURCE5} %{buildroot}%{_mandir}/man8/

# we don't need these
rm -f %{buildroot}%{_libdir}/sasl2/*.a

# dbconverter-2 isn't installed by make install

cd utils
/bin/sh ../libtool --mode=install /usr/bin/install -c dbconverter-2 \
  %{buildroot}/%{_sbindir}/dbconverter-2

cd ..
cp saslauthd/testsaslauthd %{buildroot}%{_sbindir}
cd sample
/bin/sh ../libtool --mode=install /usr/bin/install -c client \
  %{buildroot}/%{_sbindir}/sasl-sample-client
/bin/sh ../libtool --mode=install /usr/bin/install -c server \
  %{buildroot}/%{_sbindir}/sasl-sample-server
cd ..

# multiarch policy
%multiarch_includes %{buildroot}%{_includedir}/sasl/md5global.h

# quick README about the sasl.db file permissions
cat > README.Mandriva.sasldb <<EOF
Starting with %{libname}-plug-sasldb-2.1.22-6mdk, Mandriva by default 
creates a system group called "sasl" and installs an empty 
%{sasl2_db_filename} file with the following permissions:
mode 0640, ownership root:sasl.

If the %{sasl2_db_filename} file already exists, it is not changed
in any way.

It is recommended that administrators keep these permissions and add
application users to the "sasl" group if access to this database is needed.

For example, to permit the Postfix SMTP to authenticate users via the sasldb
auxprop plugin, add the "postfix" user to the "sasl" group and read the
"SMTP Authentication" section of the README.MDK documentation file for 
details regarding Postfix's chroot setup.

For other applications in general, just add their user to the "sasl" group.

Have fun,
Mandriva Team.

EOF

# Provide an easy way to query the list of available mechanisms.
./libtool --tag=CC --mode=install install -m0755 lib/sasl2-shared-mechlist %{buildroot}%{_sbindir}/
./libtool --tag=CC --mode=install install -m0755 lib/sasl2-shared-checkpass %{buildroot}%{_sbindir}/

%clean
rm -rf %{buildroot}

%pre -n %{libname}-plug-sasldb
%_pre_groupadd sasl

%post -n %{libname}-plug-sasldb
#convert old sasldb
# XXX - what about berkeley db versions? - andreas
if [ -f /var/lib/sasl/sasl.db -a ! -f %{sasl2_db_filename} ]; then
	echo "" | /usr/sbin/dbconverter-2 /var/lib/sasl/sasl.db %{sasl2_db_filename}
	if [ -f %{sasl2_db_filename} ]; then
		# conversion was successfull
		chmod 0640 %{sasl2_db_filename}
		chown root:sasl %{sasl2_db_filename}
	fi
fi
if [ -f /var/lib/sasl/sasl.db.rpmsave -a ! -f %{sasl2_db_filename} ]; then
	echo "" | /usr/sbin/dbconverter-2 /var/lib/sasl/sasl.db.rpmsave %{sasl2_db_filename}
	if [ -f %{sasl2_db_filename} ]; then
		# conversion was successfull
		chmod 0640 %{sasl2_db_filename}
		chown root:sasl %{sasl2_db_filename}
	fi
fi
if [ ! -f %{sasl2_db_filename} ]; then
	# the file was never created before nor converted from sasl1
	touch %{sasl2_db_filename}
	chmod 0640 %{sasl2_db_filename}
	chown root:sasl %{sasl2_db_filename}
fi

%post
%_post_service saslauthd

%preun
%_preun_service saslauthd

%if %mdkversion < 200900
%post -n %{libname} -p /sbin/ldconfig
%endif

%if %mdkversion < 200900
%postun -n %{libname} -p /sbin/ldconfig
%endif


%files
%defattr(-,root,root)
%doc COPYING AUTHORS INSTALL NEWS README* ChangeLog
%doc doc/{TODO,ONEWS,*.txt,*.html}
%doc service.conf.example
%dir /var/lib/sasl2
%attr (755,root,root) %{_initrddir}/saslauthd
%dir %{_sysconfdir}/sasl2
%attr (644,root,root) %config(noreplace) %{_sysconfdir}/sysconfig/saslauthd
%exclude %{_sbindir}/sasl2-shared-mechlist
%exclude %{_sbindir}/sasl2-shared-checkpass
%{_sbindir}/*
%{_mandir}/man8/*

%files -n %{libname}
%defattr(-,root,root)
%dir %{_libdir}/sasl2
%{_libdir}/libsasl*.so.*

%files -n %{libname}-plug-anonymous
%defattr(-,root,root)
%{_libdir}/sasl2/libanonymous*.so*
%{_libdir}/sasl2/libanonymous*.la

%files -n %{libname}-plug-otp
%defattr(-,root,root)
%{_libdir}/sasl2/libotp*.so*
%{_libdir}/sasl2/libotp*.la

%files -n %{libname}-plug-sasldb
%defattr(-,root,root)
%doc README.Mandriva.sasldb
%{_libdir}/sasl2/libsasldb*.so*
%{_libdir}/sasl2/libsasldb*.la

%files -n %{libname}-plug-gssapi
%defattr(-,root,root)
%{_libdir}/sasl2/libgssapi*.so*
%{_libdir}/sasl2/libgssapi*.la

%files -n %{libname}-plug-crammd5
%defattr(-,root,root)
%{_libdir}/sasl2/libcrammd5*.so*
%{_libdir}/sasl2/libcrammd5*.la

%files -n %{libname}-plug-digestmd5
%defattr(-,root,root)
%{_libdir}/sasl2/libdigestmd5*.so*
%{_libdir}/sasl2/libdigestmd5*.la

%files -n %{libname}-plug-plain
%defattr(-,root,root)
%{_libdir}/sasl2/libplain*.so*
%{_libdir}/sasl2/libplain*.la

%files -n %{libname}-plug-login
%defattr(-,root,root)
%{_libdir}/sasl2/liblogin*.so*
%{_libdir}/sasl2/liblogin*.la

%if %{SRP}
%files -n %{libname}-plug-srp
%defattr(-,root,root)
%{_libdir}/sasl2/libsrp*.so*
%{_libdir}/sasl2/libsrp*.la
%endif

%files -n %{libname}-plug-ntlm
%defattr(-,root,root)
%{_libdir}/sasl2/libntlm*.so*
%{_libdir}/sasl2/libntlm*.la

%if %{MYSQL} || %{PGSQL} || %{SQLITE}
%files -n %{libname}-plug-sql
%defattr(-,root,root)
%{_libdir}/sasl2/libsql*.so*
%{_libdir}/sasl2/libsql*.la
%endif

%if %{LDAP}
%files -n %{libname}-plug-ldapdb
%defattr(-,root,root)
%{_libdir}/sasl2/libldap*.so*
%{_libdir}/sasl2/libldap*.la
%endif

%files -n %{libname}-devel
%defattr(-,root,root)
%{_sbindir}/sasl2-shared-mechlist
%{_sbindir}/sasl2-shared-checkpass
%{_includedir}/*
%{_libdir}/*.*so
%{_libdir}/*.*a
%{_mandir}/man3/*


%changelog
* Tue Jan 18 2011 Oden Eriksson <oeriksson@mandriva.com> 2.1.23-1.1mdv2010.0
- P14: fix #45897 (saslauthd crashes while authenticating) (fedora)
- P15: taken from 2010.1 to fix build

* Mon May 18 2009 Oden Eriksson <oeriksson@mandriva.com> 2.1.23-1mdv2010.0
+ Revision: 376863
- 2.1.23 (fixes CVE-2009-0688)
- rediffed P0

* Fri Dec 19 2008 Oden Eriksson <oeriksson@mandriva.com> 2.1.22-34mdv2009.1
+ Revision: 316161
- fix file conflicts

* Tue Dec 16 2008 Oden Eriksson <oeriksson@mandriva.com> 2.1.22-33mdv2009.1
+ Revision: 314887
- bump release
- rediffed one fuzzy patch

* Sat Dec 06 2008 Oden Eriksson <oeriksson@mandriva.com> 2.1.22-32mdv2009.1
+ Revision: 311373
- added two tools from fedora

* Sat Dec 06 2008 Oden Eriksson <oeriksson@mandriva.com> 2.1.22-31mdv2009.1
+ Revision: 311197
- rebuilt against mysql-5.1.30 libs

* Wed Nov 26 2008 Oden Eriksson <oeriksson@mandriva.com> 2.1.22-30mdv2009.1
+ Revision: 307006
- bump release
- drop the automake1.7 dep
- added P2,P3 drom debian
- added P7-P11 from cyrus-sasl-2.1.22-19.fc10.src.rpm
- latest bdb is 4.7

* Fri Jul 04 2008 Oden Eriksson <oeriksson@mandriva.com> 2.1.22-29mdv2009.0
+ Revision: 231698
- fix the conditional stuff

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Mon Feb 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.1.22-27mdv2008.1
+ Revision: 170792
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake

* Wed Jan 23 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.1.22-26mdv2008.1
+ Revision: 157245
- rebuild with fixed %%serverbuild macro

* Tue Jan 08 2008 Andreas Hasenack <andreas@mandriva.com> 2.1.22-25mdv2008.1
+ Revision: 146658
- relax a bit the sasldb requires cyrus-sasl dependency using according to pixel's email on maintainers@ (libxxx2 should not have strict require...)

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Dec 21 2007 Oden Eriksson <oeriksson@mandriva.com> 2.1.22-24mdv2008.1
+ Revision: 136122
- rebuilt against openldap-2.4.7 libs
- prepare for db4.6 (new P5)

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Aug 07 2007 Andreas Hasenack <andreas@mandriva.com> 2.1.22-23mdv2008.0
+ Revision: 59828
- use automake 1.7 so it builds again (thanks Oden!)
- rebuild with new serverbuild macro (-fstack-protector-all)

  + David Walluck <walluck@mandriva.org>
    - %%{_sysconfdir}/sasl2 should be owned by the main package
    - move %%{_sysconfdir}/sasl2/service.conf.example to %%doc as it is not even a config file

* Wed Jun 13 2007 Andreas Hasenack <andreas@mandriva.com> 2.1.22-22mdv2008.0
+ Revision: 38593
- install fixed version of saslauthd.8 manpage, taken from Annvix (#31250)
- don't make install twice


* Thu Mar 22 2007 Andreas Hasenack <andreas@mandriva.com> 2.1.22-21mdv2007.1
+ Revision: 148063
- fix saslauthd init script
  (#26339: saslauthd doesn't start properly after system crash)

* Thu Aug 31 2006 Andreas Hasenack <andreas@mandriva.com> 2.1.22-20mdv2007.0
+ Revision: 58896
- added sample file for service configuration (related to #24784)

* Wed Aug 16 2006 Andreas Hasenack <andreas@mandriva.com> 2.1.22-19mdv2007.0
+ Revision: 56206
- added parallel init information (closes #24224)

* Fri Jul 14 2006 Andreas Hasenack <andreas@mandriva.com> 2.1.22-18mdv2007.0
+ Revision: 41071
- bump release
- added svn warning
- get rid of static plugin files
- import cyrus-sasl-2.1.22-17mdk

* Sat May 20 2006 Andreas Hasenack <andreas@mandriva.com> 2.1.22-17mdk
- updated to 2.1.22 final (finally!)
- removed patches that were already applied or no longer needed
- using buildroot macro instead of shell variable
- use /etc/sasl2 for configuration dir, fallback to /usr/lib/sasl2
  (http://qa.mandriva.com/show_bug.cgi?id=20793)
- disabled parallel make, doesn't work on cluster's nfs

* Sat May 13 2006 Stefan van der Eijk <stefan@eijk.nu> 2.1.22-16mdk
- rebuild for sparc

* Mon Feb 06 2006 Oden Eriksson <oeriksson@mandriva.com> 2.1.22-15mdk
- don't lie in the description that SRP is enabled...

* Mon Feb 06 2006 Oden Eriksson <oeriksson@mandriva.com> 2.1.22-14mdk
- drop srp support due to patent tainting, please look here:
  http://www.ietf.org/ietf/IPR/PHOENIX-SRP-RFC2945.txt

* Sun Nov 13 2005 Oden Eriksson <oeriksson@mandriva.com> 2.1.22-13mdk
- rebuilt against openssl-0.9.8a, added P8 from fedora to make it compile

* Sun Oct 30 2005 Oden Eriksson <oeriksson@mandriva.com> 2.1.22-12mdk
- rebuilt against MySQL-5.0.15

* Sat Sep 10 2005 Olivier Blin <oblin@mandriva.com> 2.1.22-11mdk
- fix typo in summary

* Wed Aug 31 2005 Buchan Milne <bgmilne@linux-mandrake.com> 2.1.22-10mdk
- Rebuild for libldap2.3

* Sun Aug 28 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.1.22-9mdk
- added P6 to make it acknowledge openldap-2.3.6
- added P7 to fix the sed syntax (andreas)
- added one lib64 fix

* Fri Aug 12 2005 Nicolas Lcureuil <neoclust@mandriva.org> 2.1.22-8mdk
- fix rpmlint errors (PreReq)

* Fri Aug 12 2005 Nicolas Lcureuil <neoclust@mandriva.org> 2.1.22-7mdk
- fix rpmlint errors (PreReq)

* Tue Jun 28 2005 Andreas Hasenack <andreas@mandriva.com> 2.1.22-6mdk
- moved the /usr/lib64/sasl2 *directory* to the library package
- created sasl system group and empty sasl.db file mode 0640 root:sasl.
  Added a README.Mandriva.sasldb file explaining it
- moved sasldb conversion to the sasldb plugin package. If someone
  wants to use sasldb, that plugin *has* to be installed, so this
  conversion makes more sense here. Added correct requires(post).
- fixed typo in sasldb plugin provides
- spec cleanup (ident, old comments)

* Sat Jun 18 2005 Andreas Hasenack <andreas@mandriva.com> 2.1.22-5mdk
- disabled gss-mutexes with krb5-1.4.x (which is thread safe, contrary
  to version < 1.4.x which were not and needed those mutexes)
- added versioned buildrequires for krb5-devel >= 1.4.1 due to the above

* Sun Jun 12 2005 Laurent MONTEL <lmontel@mandriva.com> 2.1.22-4mdk
- add provides for plugins

* Fri Jun 10 2005 Andreas Hasenack <andreas@mandriva.com> 2.1.22-3mdk
- fixed saslauthd mux link creation when postfix is not installed (#14043)

* Fri Jun 10 2005 Buchan Milne <bgmilne@linux-mandrake.com> 2.1.22-2mdk
- Rebuild for libkrb53-devel 1.4.1

* Thu Jun 02 2005 Andreas Hasenack <andreas@mandriva.com> 2.1.22-1mdk
- updated to version 2.1.22
- redid sasl-doc patch for this version
- updated gssapi dynamic patch
- removed CAN-2004-0884 patch, already applied
- removed craminit patch, already applied
- removed gcc4 patch, no longer needed
- enabled ldapdb plugin
- disabled gssapi patch until I understand more correctly what its
  effects are (build fails with it now and I noticed no side effects
  when using this plugin without this patch)
- added nodb43 patch to avoid linking with db4.3 even if it's installed
- removed %%config tag from the saslauthd init script

* Fri May 06 2005 Oden Eriksson <oeriksson@mandriva.com> 2.1.19-13mdk
- added one gcc4 fix (P7)

* Wed Mar 16 2005 Luca Berra <bluca@vodka.it> 2.1.19-12mdk 
- do not link with pgsql lib when it is not needed

* Wed Mar 16 2005 Luca Berra <bluca@vodka.it> 2.1.19-11mdk 
- fix saslauthd manpage

* Tue Mar 15 2005 Andreas Hasenack <andreas@mandrakesoft.com> 2.1.19-10mdk
- added craminit (P6) patch to fix https://bugzilla.andrew.cmu.edu/show_bug.cgi?id=2300
  It's applied in cyrus-sasl-2.1.20

* Mon Feb 28 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.1.19-9mdk
- multiarch

* Fri Feb 04 2005 Buchan Milne <bgmilne@linux-mandrake.com> 2.1.19-8mdk
- rebuild for ldap2.2_7

* Sun Jan 30 2005 Luca Berra <bluca@vodka.it> 2.1.19-7mdk 
- fix "Summary ended with dot"
- automake 1.8
- added sql plugin (backend configurable at build time)
- update p1 to remove rpath for sqlite
- added courier authdaemon support
- remind to install at least one plugin in %%description

* Sun Nov 28 2004 Luca Berra <bluca@vodka.it> 2.1.19-6mdk 
- own /usr/lib/sasl2
- provide libsasl2-devel and lib64sasl-devel on biarches

* Sat Oct 09 2004 Vincent Danen <vdanen@mandrakesoft.com> 2.1.19-5mdk
- P5: security fix for CAN-2004-0884

* Thu Sep 30 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.1.19-4mdk
- build the static built-in sasldb.a library with PIC as it can be
  turned into a DSO (aka. fix libtool 1.5 related problem differently,
  i.e. nuke libtool1.4)

* Wed Sep 22 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.1.19-3mdk
- really use libtool 1.4 only on MDK >= 10.1

* Wed Sep 22 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.1.19-2mdk
- use libtool 1.4

* Sun Aug 29 2004 Luca Berra <bluca@vodka.it> 2.1.19-1mdk 
- 2.1.19-1mdk
- reworked p1 and added p3 from fedora
- recreate autoconf stuff in prep
- really install sample client and server
- remove obsoletes on myself and fix library require

